Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1534071 - clamav-linked application fails with internal LLVM error on ppc64 only
Summary: clamav-linked application fails with internal LLVM error on ppc64 only
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2018-01-12 23:41 UTC by Jason Tibbitts
Modified: 2018-04-01 02:39 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-01 02:39:33 UTC


Attachments (Terms of Use)
outgoing/0001-Enable-clamav-on-ppc64-1534071.patch (deleted)
2018-03-15 02:26 UTC, Sergio Monteiro Basto
no flags Details | Diff

Description Jason Tibbitts 2018-01-12 23:41:20 UTC
I hate to file this bug because I doubt there's much the Fedora maintainer can really do about it.  I don't really even know whether to file it here or with llvm or somewhere else.  But here goes.

I help maintain the cyrus-imapd package, which provides an IMAP/JMAP/calendaring server.  cyrus-imapd supports virus scanning via the cyr_virusscan command, which is linked against clamav-libs.  The cyrus-imapd test suite contains a test which puts a couple of messages containing the EICAR test signature in a mailbox and then runs cyr_virusscan to see if they are found.

On ppc64 _only_ (ppc64le is fine) the invocation of cyr_virusscan fails with:

cyr_virusscan: llvm/lib/Target/PowerPC/PPCCodeEmitter.cpp:156: unsigned int {anonymous}::PPCCodeEmitter::getMachineOpValue(const llvm::MachineInstr&, const llvm::MachineOperand&): Assertion `MovePCtoLROffset && "MovePCtoLR not seen yet?"' failed.

I have pretty much no idea at all what that means.  Google turns up this thread: http://lists.llvm.org/pipermail/llvm-dev/2010-October/035539.html but that's about it.

For now I'm disabling clamav support on just ppc64.  I will go ahead and block F-ExcludeArch-ppc64 even though technically this isn't an excluded package, just an excluded minor feature.  Hopefully someone will have some idea of what's going on.

Comment 1 Sergio Monteiro Basto 2018-01-27 02:12:49 UTC
Hi Tibbs 

Hum the thread mention if from 2010 ...
Can you put here the link of the builds please ?

Comment 2 Jason Tibbitts 2018-01-27 03:08:17 UTC
Yes, the thread is old but it's pretty much the only thing I could find that's remotely relevant.

I only managed to get that error output by poking around in the mock buildroot manually on one of the ppc64 test instances.  And sadly now with no package changes I can't even build the thing in rawhide for some reason.

Still, here's an F27 build which is constructed to show the problem: https://koji.fedoraproject.org/koji/taskinfo?taskID=24479168

The failure is detailed way down at the bottom of the build log.

Comment 3 Sergio Monteiro Basto 2018-02-05 00:53:39 UTC
I made a build today and "just" fail on test [1] and don't see any Assertion ...


[1]
Run: 654, Failures: 0, Errors: 1
https://koji.fedoraproject.org/koji/taskinfo?taskID=24711116

Comment 4 Fedora End Of Life 2018-02-20 15:28:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Sergio Monteiro Basto 2018-03-09 02:11:11 UTC
we may try something like : 
https://src.fedoraproject.org/rpms/ldc/c/4130742

Comment 6 Sergio Monteiro Basto 2018-03-12 00:34:44 UTC
This thread [1] suggests that we disable build with --enable-llvm=no on ppc64


[1]http://lists.clamav.net/pipermail/clamav-users/2017-May/004589.html

Comment 7 Fedora Update System 2018-03-13 15:11:24 UTC
clamav-0.99.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-066bdb459b

Comment 8 Sergio Monteiro Basto 2018-03-15 02:26:40 UTC
Created attachment 1408320 [details]
outgoing/0001-Enable-clamav-on-ppc64-1534071.patch

with this patch built well in rawhide 

https://koji.fedoraproject.org/koji/taskinfo?taskID=25712592

Comment 9 Fedora Update System 2018-03-23 21:43:18 UTC
clamav-0.99.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-066bdb459b

Comment 10 Fedora Update System 2018-03-23 21:47:36 UTC
clamav-0.99.4-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-833b5d8001

Comment 11 Fedora Update System 2018-03-24 20:06:10 UTC
clamav-0.99.4-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-833b5d8001

Comment 12 Fedora Update System 2018-03-30 13:17:28 UTC
clamav-0.99.4-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Jason Tibbitts 2018-03-30 17:30:54 UTC
Thanks for this; I was able to re-enable the clamav functionality for ppc64 in cyrus-imapd and the test suite no longer fails.

Comment 14 Sergio Monteiro Basto 2018-04-01 02:39:33 UTC
cool , closing it as upstream 

https://bugzilla.clamav.net/show_bug.cgi?id=12073


Note You need to log in before you can comment on or make changes to this bug.